summaryrefslogtreecommitdiffstats
path: root/docs
diff options
context:
space:
mode:
authorMichael E Brown <michael_e_brown@dell.com>2008-01-20 13:28:02 -0600
committerMichael E Brown <michael_e_brown@dell.com>2008-01-20 13:28:02 -0600
commit7589279b856ae73eb26fc728a38a58edbe06d94c (patch)
tree12bb5ed2bc966c12a83b801d0b5062050e65afc2 /docs
parent3cfdea5d12f0b4923cdfa9572e58ba098b4833c6 (diff)
downloadmock-7589279b856ae73eb26fc728a38a58edbe06d94c.tar.gz
mock-7589279b856ae73eb26fc728a38a58edbe06d94c.tar.xz
mock-7589279b856ae73eb26fc728a38a58edbe06d94c.zip
better unit test error message.
Diffstat (limited to 'docs')
-rwxr-xr-xdocs/runtests.sh10
1 files changed, 6 insertions, 4 deletions
diff --git a/docs/runtests.sh b/docs/runtests.sh
index 08cb656..5897cc3 100755
--- a/docs/runtests.sh
+++ b/docs/runtests.sh
@@ -53,8 +53,9 @@ fi
#
set +e
time $MOCKCMD --offline --chroot -- bash -c "exit 5"
-if [ $? -ne 5 ]; then
- echo "'mock --chroot' return code not properly passed back."
+res=$?
+if [ $res -ne 5 ]; then
+ echo "'mock --chroot' return code not properly passed back: $res"
exit 1
fi
set -e
@@ -64,8 +65,9 @@ set -e
#
set +e
echo exit 5 | time $MOCKCMD --offline --shell
-if [ $? -ne 5 ]; then
- echo "'mock --chroot' return code not properly passed back."
+res=$?
+if [ $res -ne 5 ]; then
+ echo "'mock --chroot' return code not properly passed back: $res"
exit 1
fi
set -e